Update Revision
https://app.fossa.com/api/revisions/{locator}Update revision metadata.
Path parameters
locatorstringrequiredRequest body (required) · application/json
linkstringNew link for Revision
urlstringNew url for Revision
authorstringNew author for Revision
Responses
200OKlocobjectNormalized representation of the Locator
fetcherstringthe external package manager or internal representation of one
packagestringthe package name
revisionstringthe version/revision of the package
locatorstringText ID that uniquely identifies a project
resolvedbooleanHas the Revision been fully analyzed by FOSSA
projectIdstringThe Project locator that the Revision belongs to
source_typestring | nullFOSSA internal representation of the source language for the given repository/project
sourcestring | nullThe source the Revision originated from (for example `github`, `cli`, `archive`, `container`, `sbom`, or `binary`)
unresolved_issue_countnumber | nullThe number of unresolved issues found for this Revision
errorstring | nullError message during analysis (if any)
messagestring | nullMessage of the revision or commit
revision_timestampstring | nulltimestamp of when the Revision was published
latestRevisionScanIdnumber | nullThe Revision Scan ID of the latest policy scan
latestHubbleAnalysisIdnumber | nullThe Hubble Analysis ID of the latest analysis
createdAtstringwhen the Revision was added to the FOSSA Database
updatedAtstringwhen the Revision was last updated in the FOSSA Database
400BadRequest — returned when no request body is provided.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PATCH https://app.fossa.com/api/revisions/%7Blocator%7Dcurl --request PATCH \ --url 'https://app.fossa.com/api/revisions/%7Blocator%7D' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "link": "string", "url": "string", "author": "string"}'Real request. Mutating methods can change data.
Path params
locatorstringrequired